using System;
using System.Windows.Forms;
using System.ComponentModel;

namespace Weigelt.Windows.Forms
{
	public class ReadOnlyRichTextBox : RichTextBox
	{
		protected override void OnGotFocus(EventArgs e)
		{
			// no call of  base.OnGotFocus(e);
			this.Parent.Focus(); 
		}

		protected override void OnEnter(EventArgs e)
		{
			// no call of base.OnEnter(e);
			this.FindForm().SelectNextControl(this,true,true,true,false);
		}

		[ DefaultValue(true) ]
		public new bool ReadOnly
		{
			get { return true; }
			set { ; }
		}

		[ DefaultValue(false) ]
		public new bool TabStop
		{
			get { return false; }
			set { ; }
		}

		public ReadOnlyRichTextBox()
		{
			base.ReadOnly=true;
			base.TabStop=false;
			this.SetStyle(ControlStyles.Selectable, false);
		}
	}
}
